Subject: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jul 2025 14:17:59 +0300

> From: Bror Winther <[email-masked]>
> Date: Tue, 22 Jul 2025 20:06:15 +0200
> Cc: [email-masked]
> 
> Sorry I can see I used some confusing terms here. I wrote client frame in tty. I have since
> found that there is no client frame and thus I understand why you didn’t understand the
> question. I’m sorely concerned with using the --eval option only, not in in combination with
> -c or any other option that would create a client frame. Apologies for the confusion. 

OK, but then your situation is very special, whereas the wait targets
much more general use cases: it makes sure we give the user ample
opportunity to see any error messages before they disappear from the
screen.